import requests
from datetime import datetime


def nextLaunch():

    url = "https://launchlibrary.net/1.4/launch/next/1?mode=list"
    response = requests.get(url)

    if response.status_code is 200:
        data = response.json()["launches"][0]

        rocket, mission = data["name"].split("|")
        date = data["net"]
        countdown = datetime.strptime(date, "%B %d, %Y %H:%M:%S %Z") - datetime.today()

    else:
        print("error")

    launch = {
        "rocket": rocket,
        "mission": mission,
        "date": date,
        "countdown": str(countdown),
        "video": data["vidURLs"][0],
    }
    return launch

